Debian Bug report logs - #467964
libspreadsheet-parseexcel-simple-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libspreadsheet-parseexcel-simple-perl; Maintainer for libspreadsheet-parseexcel-simple-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libspreadsheet-parseexcel-simple-perl is src:libspreadsheet-parseexcel-simple-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:28:10 UTC

Severity: important

Found in version libspreadsheet-parseexcel-simple-perl/1.04-1

Fixed in version libspreadsheet-parseexcel-simple-perl/1.04-2

Done: gregor herrmann <gregor+debian@comodo.priv.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#467964; Package libspreadsheet-parseexcel-simple-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libspreadsheet-parseexcel-simple-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:24 +0200
Package: libspreadsheet-parseexcel-simple-perl
Version: 1.04-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Tags added: pending Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 11 Mar 2008 11:39:25 GMT) Full text and rfc822 format available.

Message sent on to Niko Tyni <ntyni@debian.org>:
Bug#467964. Full text and rfc822 format available.

Message #10 received at 467964-submitter@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 467964-submitter@bugs.debian.org
Subject: Bug in libspreadsheet-parseexcel-simple-perl fixed in revision 17183
Date: Tue, 11 Mar 2008 11:37:43 +0000
tag 467964 pending
thanks

Some bugs are closed in revision 17183
by Damyan Ivanov (dmn)

Commit message:

Add missing closes: #467964




Reply sent to gregor herrmann <gregor+debian@comodo.priv.at>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 467964-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: 467964-close@bugs.debian.org
Subject: Bug#467964: fixed in libspreadsheet-parseexcel-simple-perl 1.04-2
Date: Wed, 12 Mar 2008 21:17:17 +0000
Source: libspreadsheet-parseexcel-simple-perl
Source-Version: 1.04-2

We believe that the bug you reported is fixed in the latest version of
libspreadsheet-parseexcel-simple-perl, which is due to be installed in the Debian FTP archive:

libspreadsheet-parseexcel-simple-perl_1.04-2.diff.gz
  to pool/main/libs/libspreadsheet-parseexcel-simple-perl/libspreadsheet-parseexcel-simple-perl_1.04-2.diff.gz
libspreadsheet-parseexcel-simple-perl_1.04-2.dsc
  to pool/main/libs/libspreadsheet-parseexcel-simple-perl/libspreadsheet-parseexcel-simple-perl_1.04-2.dsc
libspreadsheet-parseexcel-simple-perl_1.04-2_all.deb
  to pool/main/libs/libspreadsheet-parseexcel-simple-perl/libspreadsheet-parseexcel-simple-perl_1.04-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467964@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregor+debian@comodo.priv.at> (supplier of updated libspreadsheet-parseexcel-simple-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 12 Mar 2008 21:05:33 +0100
Source: libspreadsheet-parseexcel-simple-perl
Binary: libspreadsheet-parseexcel-simple-perl
Architecture: source all
Version: 1.04-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregor+debian@comodo.priv.at>
Description: 
 libspreadsheet-parseexcel-simple-perl - A simple interface to Excel data
Closes: 467964
Changes: 
 libspreadsheet-parseexcel-simple-perl (1.04-2) unstable; urgency=low
 .
   [ Damyan Ivanov ]
   * [debian/watch] Stop capturing file extension
 .
   [ gregor herrmann ]
   * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
     field (source stanza); Homepage field (source stanza). Removed: XS-
     Vcs-Svn fields.
   * debian/rules:
     - delete /usr/lib/perl5 only if it exists (closes: #467964)
     - update based on dh-make-perl's templates
     - don't install README any more (just a text version of the POD
       documentation)
   * debian/watch: use dist-based URL.
   * Set Standards-Version to 3.7.3 (no changes).
   * debian/copyright: add upstream source URL and update years of copyright.
   * Create test.patch for patching the test script; add quilt framework.
Files: 
 555dd9922d3de135a6c262a3cb4e399e 1219 perl optional libspreadsheet-parseexcel-simple-perl_1.04-2.dsc
 3db69a7404b3e5ebcaa4c6bdf2d839f3 2743 perl optional libspreadsheet-parseexcel-simple-perl_1.04-2.diff.gz
 6959edd61c1ab005e5247e6a15b3f71a 7588 perl optional libspreadsheet-parseexcel-simple-perl_1.04-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH2EWi5SXWIKfIlGQRAteSAJ9QblPbYLQUTwTvnojqBvSqSnABjACgohvi
3VrOyvo6lsyKZ2o22i4zSKE=
=Ce8s
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Apr 2008 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:37:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.